#include "starcpu.h"

int intena=0,intpending=0;

void writetom(unsigned addr, unsigned val)
{
        switch (addr)
        {
                case 0xF000E0: /*INT1*/
                intena=val&31;
                intpending&=~((val>>8)&31);
//                printf("INTENA %02X\n",val);
                break;

                case 0xF000E2: /*INT2*/
                /*lowers 68k priority*/
                break;

                default:
                printf("Bad Tom write %08X %08X\n",addr,val);
                exit(-1);
        }
}

unsigned readtom(unsigned addr)
{
        switch (addr)
        {
                case 0xF000E0: /*INT1*/
                return intpending;

                default:
                printf("Bad Tom read %08X\n",addr);
                exit(-1);
        }
}

void vblankint()
{
        int temp;
        intpending|=1;
        if (intena&1)
        {
                temp=s68000interrupt(2,64);
        }
}
