int vi;
int bg;
int vmode;

unsigned long clut[256];

void writeclut(unsigned addr, unsigned val)
{
        if (((vmode>>1)&3)==1) clut[(addr&0x3FF)>>2]=val;
        else                   clut[(addr&0x1FF)>>1]=makecol((val>>11)<<3,(val&63)<<2,((val>>6)&31)<<3);
//        addr&=0x3FF;
//        clut[addr>>2]=val;
}

void writevideo(unsigned addr, unsigned val)
{
        switch (addr)
        {
                case 0xF00028: /*VMODE*/
                vmode=val;
                break;

                case 0xF0002A: case 0xF0002C: case 0xF0002E: case 0xF00030:
                case 0xF00032: case 0xF00034: case 0xF00036: case 0xF00038:
                case 0xF0003A: case 0xF0003C: case 0xF0003E: case 0xF00040:
                case 0xF00042: case 0xF00044: case 0xF00046: case 0xF00048:
                case 0xF0004A: case 0xF0004C: case 0xF00054:
                break;

                case 0xF0004E: /*VI*/
                vi=val;
                break;

                case 0xF00058: /*BG*/
                bg=val;
                break;

                default:
                printf("Bad video write %08X %08X\n",addr,val);
                exit(-1);
        }
}
